MinimServer Forum

Full Version: Problem with synology DSM5
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
After upgrading synoloy DS411+II to DSM5.0, the minimserver(0.8.1) does not work. So I follow the instruction to update minimserver. But the message of "the port 9790 is in use by an application or reserved by the system" alway pop up even I boot the DNS. The previous version Minimserver has disappeared from NAS. So it's impossable to unistall previous version minimserver, too.

What should I do.....????? please help.
(15-03-2014 17:00)andyhe Wrote: [ -> ]After upgrading synoloy DS411+II to DSM5.0, the minimserver(0.8.1) does not work. So I follow the instruction to update minimserver. But the message of "the port 9790 is in use by an application or reserved by the system" alway pop up even I boot the DNS. The previous version Minimserver has disappeared from NAS. So it's impossable to unistall previous version minimserver, too.

What should I do.....????? please help.

I'm surprised that a previously installed and working MinimServer 0.8.1 would stop working after the update to DSM 5.0. What problem did you see?

Do you now see any version of MinimServer in the Package Center? If so, you should uninstall that version and select the option to backup the configuration file, then reboot the NAS and install the latest 0.8.1b version of MinimServer.

If you don't see any version of MinimServer in the Package Center, try doing the following:

1) Login to the NAS as root using SSH

2) Enter this command:

/usr/syno/bin/servicetool --remove-configure-file --package MinimServer.sc

3) Reboot the NAS

4) Install the latest 0.8.1b version of MinimServer
(15-03-2014 17:47)simoncn Wrote: [ -> ]
(15-03-2014 17:00)andyhe Wrote: [ -> ]After upgrading synoloy DS411+II to DSM5.0, the minimserver(0.8.1) does not work. So I follow the instruction to update minimserver. But the message of "the port 9790 is in use by an application or reserved by the system" alway pop up even I boot the DNS. The previous version Minimserver has disappeared from NAS. So it's impossable to unistall previous version minimserver, too.

What should I do.....????? please help.

I'm surprised that a previously installed and working MinimServer 0.8.1 would stop working after the update to DSM 5.0. What problem did you see?

Do you now see any version of MinimServer in the Package Center? If so, you should uninstall that version and select the option to backup the configuration file, then reboot the NAS and install the latest 0.8.1b version of MinimServer.

If you don't see any version of MinimServer in the Package Center, try doing the following:

1) Login to the NAS as root using SSH

2) Enter this command:

/usr/syno/bin/servicetool --remove-configure-file --package MinimServer.sc

3) Reboot the NAS

4) Install the latest 0.8.1b version of MinimServer

it's ok......thanks
(16-03-2014 06:58)andyhe Wrote: [ -> ]
(15-03-2014 17:47)simoncn Wrote: [ -> ]
(15-03-2014 17:00)andyhe Wrote: [ -> ]After upgrading synoloy DS411+II to DSM5.0, the minimserver(0.8.1) does not work. So I follow the instruction to update minimserver. But the message of "the port 9790 is in use by an application or reserved by the system" alway pop up even I boot the DNS. The previous version Minimserver has disappeared from NAS. So it's impossable to unistall previous version minimserver, too.

What should I do.....????? please help.
...
If you don't see any version of MinimServer in the Package Center, try doing the following:

1) Login to the NAS as root using SSH

2) Enter this command:

/usr/syno/bin/servicetool --remove-configure-file --package MinimServer.sc

3) Reboot the NAS

4) Install the latest 0.8.1b version of MinimServer

it's ok......thanks

Just want to share that I had the same problem, and these steps worked to fix it. Thanks!
(16-03-2014 17:32)Barnz1 Wrote: [ -> ]Just want to share that I had the same problem, and these steps worked to fix it. Thanks!

This message is expected if you are updating from MinimServer 0.72. This is why the instructions on this page say that you need to uninstall MinimServer 0.72 and reboot the NAS before you install MinimServer 0.8.1.

If you were running MinimServer 0.8.1 before you updated the NAS to DSM 5.0, I am surprised that you got this message. I am also surprised that an existing installation of MinimServer 0.8.1 didn't work when the NAS was updated to DSM 5.0.

If you can provide more detail about what happened in your case, I would appreciate it.
IIRC, when I installed DSM 5, I then elected to remove and reinstall MinimServer, as I was hoping that doing so would fix an error I was getting. It turned out to be a user-expectation error, not at all a MinimServer error, but there we are.

When I removed MinimServer, there was an option to fully nuke it or to keep the configuration information. I opted to retain the config data, and then got that fault. After following your instructions to take it out manually, everything worked fine. I uninstalled and reinstalled once more after that, and selected to remove the config file, and everything went fine.
(16-03-2014 22:28)Barnz1 Wrote: [ -> ]IIRC, when I installed DSM 5, I then elected to remove and reinstall MinimServer, as I was hoping that doing so would fix an error I was getting. It turned out to be a user-expectation error, not at all a MinimServer error, but there we are.

When I removed MinimServer, there was an option to fully nuke it or to keep the configuration information. I opted to retain the config data, and then got that fault. After following your instructions to take it out manually, everything worked fine. I uninstalled and reinstalled once more after that, and selected to remove the config file, and everything went fine.

Thanks for letting me know. Retaining the config data shouldn't cause the reserved port problem. If your previous version of MinimServer was 0.72, and if you didn't reboot the NAS after removing it, that would explain why you got the problem.
Reference URL's